thetacli.NewKey

This API creates a new account (i.e. a private key/address pair), and encrypts the private key under ~/.thetacli/keys/encrypted/ by default.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Parameters

Object NameRequiredTypeDetail
passwordStringthe password for the new account
"params":[
    {
        "password":"qwertyuiop"
    }
]

Result

Result Fields

KeyTypeDetail
addressStringthe address of the newly created account

Example

Request

curl <your-endpoint> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"thetacli.NewKey","params":[{"password":"qwertyuiop"}],"id":1}'

Return

{
    "jsonrpc": "2.0",
    "id": 1,
    "result": {
        "address": "0x7F7Bf878527AC6DE7b6fe12acD664D59d20E0001"
    }
}
Path Params
string
required
Defaults to 0f02ec3fa7114d418c20cee5a8096370/thetacli/rpc
Body Params
string
Defaults to {"jsonrpc":"2.0","method":"thetacli.Send","params":[{"chain_id":"privatenet", "from":"0x2E833968E5bB786Ae419c4d13189fB081Cc43bab", "to":"0xA47B89c94a50C32CEACE9cF64340C4Dce6E5EcC6", "thetawei":"99000000000000000000", "tfuelwei":"88000000000000000000", "fee":"1000000000000", "sequence":"6", "async":true}],"id":1}
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json